### Name: as.go
### Title: Functions to create and combine graphic data objects
### Aliases: as.go as.go.0 as.pgo as.lgo cgo cpgo clgo clgo.0 ngo.0
###   legend.go plotGo plotGo.0 is.cpgo is.clgo is.lgo is.pgo
### Keywords: aplot internal

### ** Examples

# create some data
x1 <- runif(10,0,10)
y1 <- runif(10,0,10)
x2 <- runif(10,5,15)
y2 <- runif(10,5,15)
# create two groups of data
xy1 <- as.pgo(x1,y1,col="red", pch=16, label="Group A")
xy2 <- as.pgo(x2,y2, col="blue", pch=17, label="Group B")
# combine as a graphic object and plot
xy <- as.go(cpgo(xy1, xy2),xlab="X", ylab="Y")
plot(xy)
# change the colours of points and redraw
xy$pset(col=c("yellow","green"))
plot(xy)


# some more data
a <- 0:360*pi/180
ys <-sin(a*a)
yc <-cos(a)
y2 <- ys+yc+5
# create three line graphic objects
sw <- as.lgo(a,ys,col="green", label="Sine(a^2)")
cw <- as.lgo(a,yc, col="red", lty="dotted", label="Cos(a)")
yw <- as.lgo(a,y2,col="blue",label="Cos(a) + Sin(a^2)")
# combine  into a graphic object
lp <- as.go(lines=clgo(sw,cw,yw),xlab="radians", ylab="amplitude")
# plot the result
plot(lp)

# combine the point and line data and plot
xylp <- cgo(xy, lp)
plot(xylp,xlab=\"x\", ylab=\"y\")



