### Name: gcdOptions
### Title: GCDkit options
### Aliases: gcdOptions
### Keywords: iplot

### ** Examples

    bak <- options()                # backup the current options
    options("gcd.ident"=1)          # identify by sample names
    options("gcd.ident.each"=FALSE) # to label by sample names automatically, 
                                    # i.e. without the user interference
                            
    plotDiagram("TAS",F,F)
    options("gcd.ident"=0)          # to turn off the identification completely
    options("gcd.plot.bw"=TRUE)     # to set the diagram to black and white
    plotDiagram("TAS",F,F)
     
    options("gcd.cex"=2)            # make the plotting symbols double as big 
                                    # (effective for the data files loaded from now on;
                                    # for immediate result use the GUI front end)
    
    getOption("gcd.plot.bw")        # printing the current value of the given option
    options(bak)                    # restore the previous options



