### Name: figaro
### Title: Create a new figaro drawing object
### Aliases: figaro
### Keywords: hplot iplot aplot color internal

### ** Examples

# create a new figure object
p <- figaro(plot)
# plot some data
p$draw(runif(10), runif(10))
# change the main title
p$set(main="Figaro Demonstration")
# and take a closer look
p$zoom() 
# then use the pointer to select two points at opposite corners 
# of the area of interest

# a histogram
h <- figaro(hist)
h$draw(rnorm(2000), col="blue")
# .. a better colour
h$set(col="yellow")

# save as postscript
postscript(file="example_plots")
p$draw()
h$draw()
dev.off()



