### Name: profiler
### Title: Profile plotting
### Aliases: profiler.r profiler
### Keywords: hplot

### ** Examples

# Profiles of SiO2 versus (scaled) TiO2, MgO and K2O 
# if x is specified, method="Variable" assumed automatically
profiler("Na2O+K2O",c("TiO2","6*MgO","SiO2"),pch=c("+","o","@"),col=c("red","blue","darkgreen"),
    xmin=2,xmax=10)

# Equidistant profiles of (scaled) MgO, CaO, and Al2O3 (in sample sequence)
# with default symbols and scaling
profiler(y=c("MgO","3*CaO","2*Al2O3"),method="Equidistant",col=c("red","blue","darkgreen"))

# Equidistant profiles of two calculated variables in custom colour 
# and user-defined plotting symbols; range of the x axis will be specified
# interactively
profiler(y=c("2*MgO","10*(Na2O+K2O)"),method="From-To",pch=1:10,
 col=c("blue","red"),cex=1.5,main="My plot",xmin=10,xmax=30)



